#Passage, back to level 0
from eventAPI import *
from APIUtils import *


def fireEvent(e):
    lairUpOpen = getTag(e, "lairUpOpen")

    if(not lairUpOpen):
        showMessage(e,
            ["There seems to be a several small cracks lining the wall here"])
    else:
        showPicture(e, "Cave")
        if (poseYesNo(e, ["There is a passage here, leading to the lower portion of the lair.", "Do you enter?"])):
            tickGame(e, 60)
            setExit(e, "maps/lair-1.cfg", 20, 0, 90)
        return 0

    return 1
